import { eventWithTime } from 'rrweb/typings/types';
import { GraphQLClient } from 'graphql-request';
import { ConsoleMessage, NetworkResourceContent } from '../../frontend/src/util/shared-types';
export declare const HighlightWarning: (context: string, msg: any) => void;
declare class Logger {
    debug: boolean;
    constructor(debug: boolean);
    log(...data: any[]): void;
}
export declare type HighlightClassOptions = {
    organizationID: number | string;
    debug?: boolean;
    backendUrl?: string;
};
export declare class Highlight {
    organizationID: string;
    client: GraphQLClient;
    events: eventWithTime[];
    messages: ConsoleMessage[];
    networkContents: NetworkResourceContent[];
    sessionID: number;
    ready: boolean;
    logger: Logger;
    constructor(options: HighlightClassOptions);
    identify(user_identifier: string, user_object?: {}): Promise<void>;
    addProperties(properties_obj?: {}): Promise<void>;
    initialize(organization_id?: number | string): Promise<void>;
    _save(): Promise<void>;
}
declare global {
    interface Console {
        defaultLog: any;
        defaultError: any;
        defaultWarn: any;
        defaultDebug: any;
    }
}
export {};
